org.eclipse.oomph.setup.mylyn

## Interface Query

- All Superinterfaces:
    EObject, ModelElement, Notifier
  All Known Implementing Classes:
    QueryImpl

      public interface Query
      extends ModelElement

  A representation of the model object 'Query'.

  The following features are supported:

  - `Task`
  - `Summary`
  - `URL`
  - `Attributes`
  See Also:
    `MylynPackage.getQuery()`
  Generated
  Model

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EMap<String,String>` | `getAttributes()` Returns the value of the 'Attributes' map.
    `String` | `getSummary()` Returns the value of the 'Summary' attribute.
    `MylynQueriesTask` | `getTask()` Returns the value of the 'Task' container reference.
    `String` | `getURL()` Returns the value of the 'URL' attribute.
    `void` | `setSummary(String value)` Sets the value of the '`Summary`' attribute.
    `void` | `setTask(MylynQueriesTask value)` Sets the value of the '`Task`' container reference.
    `void` | `setURL(String value)` Sets the value of the '`URL`' attribute.

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getTask

          MylynQueriesTask getTask()

      Returns the value of the 'Task' container reference. It is bidirectional and its opposite is '`Queries`'.

      If the meaning of the 'Task' container reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Task' container reference.
      See Also:
        `setTask(MylynQueriesTask)`, `MylynPackage.getQuery_Task()`, `MylynQueriesTask.getQueries()`
      Generated
      Model
        opposite="queries" transient="false"

    - #### setTask

          void setTask(MylynQueriesTask value)

      Sets the value of the '`Task`' container reference.
      Parameters:
        `value` - the new value of the 'Task' container reference.
      See Also:
        `getTask()`
      Generated

    - #### getSummary

          String getSummary()

      Returns the value of the 'Summary' attribute.

      If the meaning of the 'Summary' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Summary' attribute.
      See Also:
        `setSummary(String)`, `MylynPackage.getQuery_Summary()`
      Generated
      Model
        required="true"

    - #### setSummary

          void setSummary(String value)

      Sets the value of the '`Summary`' attribute.
      Parameters:
        `value` - the new value of the 'Summary' attribute.
      See Also:
        `getSummary()`
      Generated

    - #### getURL

          String getURL()

      Returns the value of the 'URL' attribute.

      If the meaning of the 'URL' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'URL' attribute.
      See Also:
        `setURL(String)`, `MylynPackage.getQuery_URL()`
      Generated
      Model
        extendedMetaData="kind='attribute' name='url'"

    - #### setURL

          void setURL(String value)

      Sets the value of the '`URL`' attribute.
      Parameters:
        `value` - the new value of the 'URL' attribute.
      See Also:
        `getURL()`
      Generated

    - #### getAttributes

          EMap<String,String> getAttributes()

      Returns the value of the 'Attributes' map. The key is of type `String`, and the value is of type `String`,

      If the meaning of the 'Attributes' map isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Attributes' map.
      See Also:
        `MylynPackage.getQuery_Attributes()`
      Generated
      Model
        mapType="org.eclipse.oomph.setup.mylyn.QueryAttribute<org.eclipse.emf.ecore.EString, org.eclipse.emf.ecore.EString>" extendedMetaData="name='attribute'"

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html